Arch Foglio di pannello

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Panel Sheet and the translation is 100% complete.

Other languages:
English • ‎español • ‎français • ‎italiano • ‎русский
Arrow-left.svg Arch Panel Cut.svg Sagoma pannello Pagina precedente:
Pagina successiva: Nido Arch Nest.svg Arrow-right.svg

Arch Panel Sheet.svg Foglio di pannello

Posizione nel menu
Arch → Strumenti pannello → Foglio pannello
Ambiente
Arch
Avvio veloce
P,S
Introdotto nella versione
-
Vedere anche
Pannello, Sagoma pannello, Nido


Descrizione

Questo strumento permette di costruire un foglio 2D con un numero qualsiasi di oggetti Sagoma di pannello, o qualsiasi altri oggetti 2D come quelli prodotti da Draft e Sketcher. Il Foglio pannello consiste tipicamente in un tracciato di tagli che devono essere eseguiti da una macchina CNC. Questi fogli possono poi essere esportati in un file DXF.

Arch Wikihouse 03.jpg

Arch Wikihouse 04.jpg

L'immagine sopra mostra come appaiono i Fogli pannello quando sono esportati in DXF.

Utilizzo

  1. Facoltativamente, selezionare uno o più oggetti Sagoma pannello o qualsiasi altro oggetto 2D posizionato sul piano XY.
  2. Premere il pulsante Arch Panel Sheet.svg Foglio pannello, o premere i tasti P e poi S.
  3. Regolare le proprietà desiderate.

Opzioni

  • Dopo aver creato il foglio pannello, con o senza oggetti figlio, con un doppio clic su di esso nella vista ad albero si può aggiungere o rimuovere dal foglio pannello qualsiasi altro oggetto figlio aggiungendo o rimuovendo gli oggetti dalla sua cartella Group
  • Facendo doppio click sul pannello nella vista ad albero consente inoltre di spostare gli oggetti contenuti in questo foglio, o spostare il suo tag
  • È possibile creare automaticamente pannelli composti da più fogli di materiale, incrementando la sua proprietà Sheets
  • Fogli pannello in grado di visualizzare un margine, che è utile per garantire che ci sia sempre un certo spazio tra gli oggetti interni e il bordo del foglio
  • Quando i fogli pannello vengono esportati in DXF, i contorni, i fori interni, i tag dei loro figli interni sono collocati su layer diversi, come mostrato nell'immagine sopra

Proprietà

Dati

  • DATIHeight: L'altezza del foglio
  • DATIWidth: La larghezza del foglio
  • DATIFill Ratio: La percentuale della superficie foglio che viene riempito dalle sagome (automatica)
  • DATITag Text: Il testo da visualizzare
  • DATITag Size: La dimensione del testo tag
  • DATITag Position: La posizione del testo tag. Tenere (0,0,0) per la posizionarlo automaticamente nel centro
  • DATITag Rotation: La rotazione del testo tag
  • DATIFont File: Il carattere del testo tag
  • DATIMake Face: Se è True, il pannello è una Part Face, altrimenti è una Part Wire
  • DATIGrain Direction: Ciò consente di sapere la direzione principale della fibra del pannello (senso orario, 0 ° significa in alto)

Vista

  • VISTAMargin: Un margine che può essere visualizzato all'interno del bordo del pannello
  • VISTAShow Margin: Attiva o disattiva la visualizzazione del margine
  • VISTAShow Grain: Mostra la struttura della fibra (Make Face deve essere impostata su True)

Script

Vedere anche: Arch API e Nozioni di base sugli script di FreeCAD.

Lo strumento Foglio pannello può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Sheet = makePanelSheet(panels=[], name="PanelSheet")
  • Crea un oggetto Sheet dai panels, che sono una lista di oggetti Pannello.

Esempio:

import FreeCAD, Draft, Arch

Rect = Draft.makeRectangle(500, 200)
Polygon = Draft.makePolygon(5, 750)

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2000, 400, 0)
p3 = FreeCAD.Vector(1250, 800, 0)
Wire = Draft.makeWire([p1, p2, p3], closed=True)

Panel1 = Arch.makePanel(Rect, thickness=36)
Panel2 = Arch.makePanel(Polygon, thickness=36)
Panel3 = Arch.makePanel(Wire, thickness=36)
FreeCAD.ActiveDocument.recompute()

Cut1 = Arch.makePanelCut(Panel1)
Cut2 = Arch.makePanelCut(Panel2)
Cut3 = Arch.makePanelCut(Panel3)
Cut1.ViewObject.LineWidth = 3
Cut2.ViewObject.LineWidth = 3
Cut3.ViewObject.LineWidth = 3
FreeCAD.ActiveDocument.recompute()

Sheet = Arch.makePanelSheet([Cut1, Cut2, Cut3])

Tutorial

Arrow-left.svg Arch Panel Cut.svg Sagoma pannello Pagina precedente:
Pagina successiva: Nido Arch Nest.svg Arrow-right.svg